{% extends "layouts/base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load i18n %}

{% block title %} Assessment {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="content">
    <div class="panel-header bg-primary-gradient">
        <div class="page-inner py-5">
            <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row">
                <div>
                    <h2 class="text-white pb-2 fw-bold">Task Details</h2>
                    <h5 class="text-white op-7 mb-2">Quality Control System</h5>
                </div>
            </div>
        </div>
    </div>

    <div class="page-inner mt--5">
<form method="post" enctype="multipart/form-data" class="form-horizontal">
                            {% csrf_token %}
        <div class="row">
            <div class="col-md-12">
                <div class="card full-height">
                    <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                  <label>Organization</label>
                                    <p> {{object.employee.department.organization}}</p>
                                </div>
                                <div class="col-md-4">
                                    <label>Department</label>
                                    <p>{{object.employee.department}}</p>
                                </div>
                                <div class="col-md-4">
                                     <label> Status</label>
                                    <p>{{object.status}}</p>
                                </div>
                            </div>

                             <div class="row">
                                <div class="col-md-4">
                                    <label> Employee</label>
                                    <p>{{object.employee}}</p>

                                </div>
                                 <div class="col-md-4">
                                    <label>Create Date</label>
                                    <p>{{object.create_date}}</p>

                                </div>

                                  <div class="col-md-4">
                                   {{form.due_date | as_crispy_field}}

                                </div>
                            </div>


                    </div>
                </div>
            </div>
                             </div>

        <div class="row">
                <div class="col-md-12">
                    <div class="card full-height">

                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <label>Assessment</label>
                                    <p><a href='' class=""  data-toggle="modal"
data-target="#assessment_detail_modal" audit_id={{object.question.audit.pk}}>
  {{object.question.audit}}
</a></p>


                                </div>
                                <div class="col-md-6">
                                    <label>Question</label>
                                     <p>
                                                  <a href='' class=""  data-toggle="modal"
data-target="#question_detail_modal" audit_id={{object.question.audit.pk}}>
  {{object.question.pk}}
</a>
                                     </p>

                                </div>
                            </div>
                             <div class="row">
                                <div class="col-md-12">
                                    {{form.description | as_crispy_field}}

                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>

           <div class="row">
                                <div class="col-12">
                                    <button class="btn btn-primary float-right ml-3">
                        <span class="btn-label">
                            <i class="fa fa-check-circle"></i>
                        </span>
                                        {% trans 'Next' %}
                                    </button>
                                    <button class="btn btn-danger float-left mr-3">
                        <span class="btn-label">
                            <i class="fa fa-strikethrough"></i>
                        </span>
                                        {% trans 'Cancel' %}
                                    </button>
                                </div>
                            </div>
                        </form>



    </div>

</div>


<div class="modal fade" id="question_detail_modal" role="dialog"
     aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel{{record.pk}}">Question Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% include 'assessment/_question_details.html' with question=object.question %}
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="assessment_detail_modal" role="dialog"
     aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="auditModalLabel">Assessment Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% include 'assessment/_audit_info.html' with audit=object.question.audit %}
            </div>
        </div>
    </div>
</div>

{% endblock content %}